using System.ComponentModel.DataAnnotations;
using Infrastructure.Base;
using Shared;

namespace Infrastructure.Entities;

public class Exercice : EntityBase
{
    [Required]
    public string TemplateId { get; set; }
    public Exercice_template Template { get; set; }

    public ECategory Category { get; set; }
    public int NbSets { get; set; }
    public int NbReps { get; set; }
    public int RestingTime { get; set; }

    // Clé étrangère explicite vers Session
    [Required]
    public string SessionId { get; set; }
    public Session Session { get; set; }
}