using Server.Dto.Request;
using Server.Dto.Response;
using Shared;

namespace Server.IServices;

public interface IExerciceTemplateSercice
{
    Task<PaginatedResult<ResponseTemplateExerciceDto>> GetExercices(int page, int size, bool ascending = true);
    Task<ResponseTemplateExerciceDto?> GetExerciceById(string id);
    Task<ResponseTemplateExerciceDto> CreateExercice(RequestTemplateExerciceDto request);
    Task<ResponseTemplateExerciceDto?> UpdateExercice(string id, RequestTemplateExerciceDto request);
    Task<bool> DeleteExercice(string id);
}