using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Infrastructure.Base;

namespace Infrastructure.Entities;

[Table("Exercice_template")]
public class Exercice_template : EntityBase
{
    [Required]
    public string Name { get; set; }
    
    public string Equipment { get; set; }
    public string Instructions { get; set; }
    
    public float Duration { get; set; }

    public string? ImageId { get; set; }
    
    public string? VideoId { get; set; }
}