using System.ComponentModel.DataAnnotations;
using Shared;

namespace Server.Dto.Request
{
    public class RequestSessionDto
    {
        [Required]
        public string Name { get; set; }

        public string Description { get; set; }

        public EDay Day { get; set; }
        
        public ETarget Target { get; set; }
        public List<string> ExerciceIds { get; set; } = new List<string>();
    }
}