using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Shared;

namespace Server.Dto.Request
{
    public class RequestTrainingProgramDto
    {
        
        public ELang Lang { get; set; }
        public string Name { get; set; }
        
        public string? OwnerId { get; set; }
        public int? WeekDuration { get; set; }
        
        public EGoal EGoal { get; set; }
        
        public EDifficulty EDifficulty { get; set; }
        public List<RequestSessionDto> Sessions { get; set; } = new List<RequestSessionDto>();
    }
}